* {
  padding: 0;
  margin: 0;
}

a {
  text-decoration: none;
}

.center {
  width: 1200px;
  margin: 0 auto;

}

body {
  background: rgb(246, 248, 251, 1);
}

ul,
li {
  list-style: none;
}

.customertop {
  width: 100%;
  height: 52vh;
  position: relative;
  margin-top: 64px;
}

.casesell_txt {
  width: 1200px;
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
  top: 50%;
  z-index: 1;
  pointer-events: none;
}

.casesell_txt h2 {
  font-size: 48px;
  font-weight: 500;
  margin-bottom: 20px;
  margin-top: 0px;
  text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.5);
}

.casesell_txt p {
  font-size: 18px;
  font-weight: 400;
  margin-bottom: 44px;
  text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.5);
}

.author_main {
  position: absolute;
  right: 32px;
  top: 20px;
  z-index: 10;
  height: 16px;
  line-height: 16px;
}

.bannerbtn {
  pointer-events: auto;
  width: 120px;
  height: 44px;
  background-image: linear-gradient(230deg,
      #3ecbff 0%,
      #7282ff 50%,
      #cf6fff 100%);
  border-radius: 4px;
  font-size: 14px;
  color: #ffffff;
  font-weight: 400;
  text-align: center;
  line-height: 44px;
  cursor: pointer;
}

.bannerbtn a {
  color: #ffffff;
  text-decoration: none;

}

.author_main a {
  text-decoration: none;
  font-size: 12px;
  margin-right: 10px;
  text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.5);
}

.bannerbtn:hover {
  opacity: 0.8;
  transition: 0.5s all;
}

.case {
  min-height: 800px;
  position: relative;
}

.case h4 {
  font-size: 50px;
  color: #1E1E1E;
  width: 1200px;
  margin: 0px auto 41px;
  padding-top: 76px;
}

.titleul {
  width: 1200px;

  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 25px auto;
}

.titleul li {
  color: #1E1E1E;
  height: 42px;
  line-height: 42px;
  color: #1E1E1E;
  font-size: 14px;
  cursor: pointer;
  padding-bottom: 3px;
}

.titleul .active {
  border-bottom: 4px solid #2F72E3;
  color: #2F72E3;
}

.casetop {
  width: 100%;
  height: 224px;
  background: #FFFFFF;
}

.caseul {
  margin: 50px auto;
  width: 1200px;
  height: 100%;
  display: flex;
  opacity: 0;
  display: grid;
  justify-content: space-between;
  grid-template-columns: repeat(auto-fill, 285px);
  transition: 0.6s all;
}

.caseul li {
  width: 285px;
  height: 254px;
  cursor: pointer;
  margin-bottom: 6px;
  position: relative;
}

.caseimg {
  width: 100%;
  height: 190px;
  border-radius: 4px;
  overflow: hidden;
  position: relative;
}

.caseimg:hover img {
  transform: scale(1.1)
}

.caseimg img {
  width: 100%;
  height: 100%;
  transition: 0.5s all;
}

.caseul li h5 {
  font-size: 14px;
  color: #1E1E1E;
  font-weight: 400;
  margin: 12px 0px;
  width: 100%;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
}


.device {
  height: 22px;
  position: absolute;
  left: 14px;
  bottom: 12.5px;
  border-radius: 4px;
  font-size: 12px;
  color: #fff;
  text-align: center;
  background-color: rgb(0, 0, 0, 0.4);
  line-height: 22px;
  padding-left: 7px;
  padding-right: 7px;
}

.types {
  height: 22px;
  position: absolute;
  left: 10px;
  top: 11px;
  border-radius: 4px;
  font-size: 12px;
  color: #1E1E1E;
  text-align: center;
  line-height: 24px;
  float: left;
  background: rgb(227, 228, 251, .9);
  line-height: 22px;
  padding-left: 7px;
  padding-right: 7px;
}

.caseinformation .casetime {
  font-size: 12px;
  color: #1E1E1E;
  font-weight: 400;
  float: right;
  line-height: 24px;
}

.seekadvicefrom {
  width: 100%;
  height: 264px;
  background-image: linear-gradient(180deg, #2E384E 0%, #3C4863 100%);
}

.seekadvicefrom h4 {
  text-align: center;
  font-size: 50px;
  color: #FFFFFF;
  padding-top: 70px;
  margin-bottom: 36px;
}

.seekadvicefrombtn {
  width: 120px;
  height: 44px;
  background-image: linear-gradient(230deg, #3ECBFF 0%, #7282FF 50%, #CF6FFF 100%);
  border-radius: 4px;
  font-size: 14px;
  color: #FFFFFF;
  font-weight: 400;
  text-align: center;
  margin: 0 auto;
  line-height: 44px;
  cursor: pointer;
}

.seekadvicefrombtn a {
  color: #fff;
  display: block;
  width: 100%;
  height: 100%;
}

.bgloading {
  width: 100%;
  height: calc(100% - 180px);
  position: absolute;
  left: 0;
  top: 230px;
  z-index: 99;
  background: #f9f9f9;
  pointer-events: none;
}

.loading3 {

  width: 30px;

  height: 30px;

  position: absolute;

  left: 50%;

  top: 30%;

  transform: translate(-50%, -50%);

}

.circle {

  position: absolute;

  top: 0;

  left: 0;

  width: 100%;

  height: 100%;

}

.cal_list:after {

  content: '';

  /*这个宽度和子元素宽度一致*/

  width: 363px;

  height: 0;

  display: block;

}

.circle span {

  width: 8px;

  height: 8px;

  display: inline-block;

  background: #357eff;

  border-radius: 100%;

  position: absolute;

  -webkit-animation: mycircle 1.2s infinite ease-in-out;

  animation: mycircle 1.2s infinite ease-in-out;

  -webkit-animation-fill-mode: both;

  animation-fill-mode: both;

}

.circle2 {

  -webkit-transform: rotateZ(45deg);

  transform: rotateZ(45deg);

}

.circle3 {

  -webkit-transform: rotateZ(90deg);

  transform: rotateZ(90deg);

}

.circle>span:nth-child(1) {

  top: 0;

  left: 0;

}

.circle>span:nth-child(2) {

  top: 0;

  right: 0;

}

.circle>span:nth-child(3) {

  right: 0;

  bottom: 0;

}

.circle>span:nth-child(4) {

  left: 0;

  bottom: 0;

}

.circle2>span:nth-child(1) {

  -webkit-animation-delay: -1.1s;

  animation-delay: -1.1s;

}

.circle3>span:nth-child(1) {

  -webkit-animation-delay: -1.0s;

  animation-delay: -1.0s;

}

.circle1>span:nth-child(2) {

  -webkit-animation-delay: -0.9s;

  animation-delay: -0.9s;

}

.circle2>span:nth-child(2) {

  -webkit-animation-delay: -0.8s;

  animation-delay: -0.8s;

}

.circle3>span:nth-child(2) {

  -webkit-animation-delay: -0.7s;

  animation-delay: -0.7s;

}

.circle1>span:nth-child(3) {

  -webkit-animation-delay: -0.6s;

  animation-delay: -0.6s;

}

.circle2>span:nth-child(3) {

  -webkit-animation-delay: -0.7s;

  animation-delay: -0.7s;

}

.circle3>span:nth-child(3) {

  -webkit-animation-delay: -0.4s;

  animation-delay: -0.4s;

}

.circle1>span:nth-child(4) {

  -webkit-animation-delay: -0.3s;

  animation-delay: -0.3s;

}

.circle2>span:nth-child(4) {

  -webkit-animation-delay: -0.2s;

  animation-delay: -0.2s;

}

.circle3>span:nth-child(4) {

  -webkit-animation-delay: -0.1s;

  animation-delay: -0.1s;



}

@-webkit-keyframes mycircle {

  0% {
    transform: scale(0.0);
  }

  40% {
    transform: scale(1.0);
  }

  80% {
    transform: scale(0.0);
  }

  100% {
    transform: scale(0.0);
  }

}

@keyframes mycircle {

  0% {
    transform: scale(0.0);
  }

  40% {
    transform: scale(1.0);
  }

  80% {
    transform: scale(0.0);
  }

  100% {
    transform: scale(0.0);
  }

}

.msg h5 {
  color: #000000 !important;
  background: url(https://expo.3g2.cn/expo3dstore/images/p_b.png) no-repeat !important;
  background-size: 16px 16px !important;
  background-position: left 24px !important;
  font-weight: normal !important;
}

.msg span {
  color: #000000 !important;
  font-weight: normal !important;
}

.msg h6 {
  color: #000000 !important;
  font-weight: normal !important;
}

.msg h6 a {
  color: #000000 !important;
}

.case_ai {
  position: absolute;
  right: 11px;
  top: 11px;
}

.case_ai img {
  width: 25px;
}

.erweima {
  background: rgba(0, 0, 0, 0.4);
  width: 100%;
  height: 100%;
  text-align: center;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 99;
  cursor: pointer;
  opacity: 0;
  transition: 0.5s all;
}

.qrcode {
  margin: 0 auto;
  position: relative;
  width: 98px;
  height: 93px;
  z-index: 2;
  overflow: hidden;
  padding: 9px 5px 5px 5px;
  background: #fff;
  margin-top: 38px;
  margin-bottom: 11px;
  border-radius: 4px;
}

.qrcode_logo {
  width: 34px;
  height: 30px;
  background-image: url(../favicon.ico);
  background-size: 24px 24px;
  background-repeat: no-repeat;
  background-color: #fff;
  background-position: center center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 9998;
  margin-top: -3px;
  border-radius: 2px;
}

@media screen and (max-width: 1200px) {
  .banner {
    margin-top: 50px;
  }

  .center {
    width: 100%;
  }

  .customertop {
    height: 500px;
    margin-top: 50px;
  }

  .casesell_txt {
    width: calc(100% - 64px);
    padding-left: 20px;
  }

  .casesell_txt h4 {
    font-size: 24px;
    margin-bottom: 6px;
  }

  .casesell_txt p {
    font-size: 14px;
    margin-left: 0;
  }

  .author_main {
    right: 10px;
    top: 10px;
  }

  .devicecen h2 {
    padding-top: 40px;
    font-size: 18px;
    margin-bottom: 10px;
  }

  .devicecen p {
    font-size: 14px;
  }

  .devicecen ul {
    width: calc(100% - 40px);
    padding-left: 20px;
    padding-right: 20px;
    grid-template-columns: repeat(auto-fill, 31%);
  }

  .devicecen ul li {
    width: 100%;
    margin-bottom: 18px;
    height: 124px;
  }

  .device {
    height: 22px;
    line-height: 23.5px;
    left: 10px;
    bottom: 8px;
    font-size: 10px;
  }

  .developingapis {
    height: auto;
    padding-bottom: 36px;
  }

  .developingapis h2 {
    padding-top: 40px;
    font-size: 18px;
    margin-bottom: 10px;
  }

  .developingapis p {
    font-size: 14px;
    width: calc(100% - 40px);
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 28px;
  }

  .developingapiscen {
    width: calc(100% - 40px);
    padding-left: 20px;
    padding-right: 20px;
  }

  .developingapiscen img {
    height: auto
  }

  .seekadvicefrom {
    height: 70px;
    padding-top: 32px;
    clear: both;
    padding-bottom: 20px;
  }

  .seekadvicefrombtn {
    width: 110px;
    height: 40px;
    line-height: 40px;
  }

  .seekadvicefrom h4 {
    text-align: center;
    font-family: PingFangSC-Regular;
    font-size: 13px;
    color: #FFFFFF;
    letter-spacing: -0.07px;
    font-weight: 400;
    padding-top: 0px;
    margin-bottom: 12px;
  }

  .seekadvicefrombtn {
    width: 100px;
    height: 38px;
    line-height: 38px;
    font-size: 14px;
  }

  .case h4 {
    width: calc(100% - 20px);
    padding-left: 20px;
    padding-top: 30px;
    font-size: 18px;
    margin: 0px auto 16px;
  }

  .casetop {
    height: 140px;
  }

  .titleulbox {
    width: 100%;
    overflow-x: scroll;
    padding-bottom: 35px;
  }

  .titleul {
    width: max-content;
    display: block;
    margin: 8px auto;

  }

  .titleul li {
    float: left;
    margin-left: 20px;
    font-size: 12px;
    padding-bottom: 1px;
  }

  .titleul li:nth-child(9) {
    padding-right: 20px;
  }

  .caseul {
    width: calc(100% - 30px);
    padding-left: 15px;
    padding-right: 15px;
    grid-template-columns: repeat(auto-fill, calc(50% - 6px));
    margin: 25px auto;
  }

  .caseul li {
    width: 100%;
    height: 175px;
    margin-bottom: 0;
  }

  .caseimg {
    height: 121px;
  }

  .caseul li h5 {
    font-size: 12px;
  }

  .types {
    bottom: 20.5px
  }

  .erweima {
    display: none;
  }

  @media screen and (max-width: 1200px) {}
}